2019-12-07 07:36 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004319Spring engineGeneralpublic2017-09-13 19:35
Reporterabma 
Assigned To 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version96.0.1+git 
Target VersionFixed in Version103.0 +git 
Summary0004319: invalid handling of CMD_RECLAIM / BuilderCAI.cpp:1567
Description[f=0001008] Error: Invalid command received: 90 param pos: x:32215.000000 y:102.533798 z:27.848511
Steps To Reproduceissue an area-reclaim command, if unit has to move, error is triggered
Additional Informationnot sure where the command comes from, command was already dropped before my change: https://github.com/spring/spring/commit/aabd1b4380c9357f8e9d45bf861fcd7bb7e919ea
TagsNo tags attached.
Checked infolog.txt for Errors
Attached Files

-Relationships
related to 0004309resolvedabma crash during game in non-main thread ( [safe_element const] index 1 out of bounds! (size 1) ) 
+Relationships

-Notes

~0012881

abma (administrator)

Last edited: 2014-02-23 23:13

View 2 revisions

validation test triggers the error, too:

http://buildbot.springrts.com/builders/validationtests/builds/4043/steps/validation%20test_5/logs/warnings%20%2812%29

but with CMD_MOVE (i guess its RAI)

~0012885

cleanrock (developer)

The invalid reclaim command is caused BA widget cmd_wait_reclaim.lua
Spring.GiveOrderToUnit(unitId, CMD.INSERT, {1, CMD.RECLAIM, CMD.OPT_SHIFT, unpack(cQueue[1].params)}, {"alt"})

~0012886

abma (administrator)

Last edited: 2014-02-25 20:11

View 3 revisions

idk if the command is invalid. i just added an error message, when a command is dropped.

needs investigation if its valid or not. either the check is wrong or the command is.

~0012887

cleanrock (developer)

My guess is the BA command tries to sends some id in the x float, BA devs should look into this.

~0012889

cleanrock (developer)

The error print is because the widget tries to reinsert the reclaim command which is a 5-param reclaim (tag, pos, radius).
The "Wait reclaim" widget is unnecessary (reclaim will pause on wait without it), correct me if i am wrong here.
The widget will not break anything since there is an extra reclaim command which is not removed.
IsCommandInMap do not cut it here because it dont support the 5-param reclaim with pos not at start.
I would call this a bit of a mess.

~0012891

silentwings (reporter)

http://imolarpg.dyndns.org/trac/balatest/changeset/2147

I don't know if that widget was ever needed, but it certainly isn't now.

~0012898

cleanrock (developer)

Fyi, i am fixing RAI not sending invalid move commands.

~0012905

cleanrock (developer)

I think validation tests are clean now (except for CAI).
abma, you think we can close this ?

~0012908

abma (administrator)

Last edited: 2014-03-10 23:54

View 2 revisions

hm, not sure if 0004309 can still happen, as a part of the fix was reverted because it was invalid :-|

~0013062

abma (administrator)

no release blocker imo (very old bug, crashes occurs VERY rarely and only on very specific packet corruption i guess)

~0018058

sprung (reporter)

looks closable
+Notes

-Issue History
Date Modified Username Field Change
2014-02-23 17:23 abma New Issue
2014-02-23 23:12 abma Note Added: 0012881
2014-02-23 23:13 abma Note Edited: 0012881 View Revisions
2014-02-25 20:08 cleanrock Note Added: 0012885
2014-02-25 20:10 abma Note Added: 0012886
2014-02-25 20:10 abma Note Edited: 0012886 View Revisions
2014-02-25 20:11 abma Note Edited: 0012886 View Revisions
2014-02-25 20:49 cleanrock Note Added: 0012887
2014-02-25 22:38 abma Relationship added related to 0004309
2014-02-26 17:04 cleanrock Note Added: 0012889
2014-02-26 22:11 silentwings Note Added: 0012891
2014-03-08 13:32 cleanrock Note Added: 0012898
2014-03-10 11:17 cleanrock Note Added: 0012905
2014-03-10 23:53 abma Note Added: 0012908
2014-03-10 23:54 abma Note Edited: 0012908 View Revisions
2014-03-11 00:10 abma Product Version => 96.0.1+git
2014-05-13 02:19 abma Note Added: 0013062
2014-05-13 02:19 abma Target Version 97.0 =>
2017-07-17 18:05 sprung Note Added: 0018058
2017-09-13 19:35 Kloot Status new => resolved
2017-09-13 19:35 Kloot Resolution open => fixed
2017-09-13 19:35 Kloot Fixed in Version => 103.0 +git
+Issue History